# QXmlItem Class Reference

### [com.trolltech.qt.xmlpatterns package]

### Constructor

- void QXmlItem()
- void QXmlItem(Object atomicValue)
- void QXmlItem(QXmlItem other)
- void QXmlItem(QXmlNodeModelIndex node)

### Constructor Properties

- prototype: The QXmlItem prototype object

### Prototype Object Properties

- bool isAtomicValue()
- bool isNode()
- bool isNull()
- Object toAtomicValue()
- QXmlNodeModelIndex toNodeModelIndex()

### Instance Properties

QXmlItem objects have no special properties beyond those inherited from the QXmlItem prototype object.